GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::PixmapToPixmapFilter Class Reference

PixmapToPixmapFilter class Super class for all filter taking an image and producing an output image. More...

`#include <gdcmPixmapToPixmapFilter.h>`

Inheritance diagram for gdcm::PixmapToPixmapFilter:
[legend]
Collaboration diagram for gdcm::PixmapToPixmapFilter:
[legend]

## Public Member Functions

| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()
const Bitmap & | GetOutput () const
| Get Output image.
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members

Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

PixmapToPixmapFilter class Super class for all filter taking an image and producing an output image.

## Constructor & Destructor Documentation

gdcm::PixmapToPixmapFilter::PixmapToPixmapFilter | ( |  | ) |

gdcm::PixmapToPixmapFilter::~PixmapToPixmapFilter | ( |  | ) |

inline

## Member Function Documentation

Pixmap& gdcm::PixmapToPixmapFilter::GetInput | ( |  | ) |

const Pixmap& gdcm::PixmapToPixmapFilter::GetOutput | ( |  | ) | const

Get Output image.

The documentation for this class was generated from the following file:

- gdcmPixmapToPixmapFilter.h